Skip to main content
GET
Retrieve a plan by id

Authorizations

Authorization
string
header
required

Base64 encoding of username:password as supplied by Bango Support

Path Parameters

planId
string<uuid>
required

The unique identifier generated by Bango for a plan. This is a globally unique, opaque string

Response

Plan found

A subscription plan record in the Bango Platform

responseCode
enum<string>
required

Always 'OK'

Available options:
OK
responseMessage
string
required
Example:

"Success"

planId
string<uuid>

The unique identifier generated by Bango for a plan. This is a globally unique, opaque string

Example:

"123e4567-e89b-12d3-a456-426614174000"

productName
string

The unique identifier for the product or service the user is subscribing to. The product catalog defines these identifiers. The first character of the planName can't be a number.

Example:

"bango-music"

planName
string

The unique identifier for the plan detailing the prices and offer periods associated with the subscription. Bango use NCName type which means that the planName cannot contain several symbol characters like :, @, $, %, &, /, +, ,, ;, whitespace characters or different parenthesis.

Example:

"bango-music-3-months-free"

planPhases
object[]